Bug 14285 - Bengali locale needs to be re-defined
Summary: Bengali locale needs to be re-defined
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-28 01:01 UTC by Indranil Das Gupta
Modified: 2016-06-21 21:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14285: Bengali locale needs to be re-defined (5.56 KB, patch)
2015-05-28 15:25 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14285: Bengali locale needs to be re-defined (5.68 KB, patch)
2015-05-28 17:59 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
pre patch and post patch display of Bengali (102.18 KB, image/jpeg)
2015-05-29 06:47 UTC, Indranil Das Gupta
Details
[PASSED QA] Bug 14285: Bengali locale needs to be re-defined (5.74 KB, patch)
2015-05-31 19:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Indranil Das Gupta 2015-05-28 01:01:23 UTC
Dear Bernardo,

Bengali [1] needs to split up from current 'ben' into bn-IN [2] and bn-BD [3]

Could you please look into it?

thanks :)

References:

[1] http://en.wikipedia.org/wiki/Bengali_language

[2] http://www.localeplanet.com/icu/bn-IN/index.html

[3] http://www.localeplanet.com/icu/bn-BD/index.html
Comment 1 Bernardo Gonzalez Kriegel 2015-05-28 12:14:09 UTC
(In reply to Indranil Das Gupta from comment #0)
> Dear Bernardo,
> 
> Bengali [1] needs to split up from current 'ben' into bn-IN [2] and bn-BD [3]
> 

Hi Indranil,
no problem, just a couple of things:

1) Agreed to change ben -> bn
2) Is Bengali different in India and Bangladesh?
I mean script and/or words
Spanish for example has many local ways to name things, but we all agreed to
maintain only one version, es-ES, although most users are not in Spain.
German for example has two versions (DE and CH), but that is justified by different spelling.

So, if a split is needed, to which version (IN BD) current files belongs?
Comment 2 Indranil Das Gupta 2015-05-28 12:43:13 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #1)
> (In reply to Indranil Das Gupta from comment #0)
> > Dear Bernardo,
> > 
> > Bengali [1] needs to split up from current 'ben' into bn-IN [2] and bn-BD [3]
> > 
> 
> Hi Indranil,
> no problem, just a couple of things:
> 
> 1) Agreed to change ben -> bn

Great! doing this will also automatically fix the non-display of 'native_description' in the lang switcher. Currently it shows "ben" instead of "বাংলা" (i tested last night :)

> 2) Is Bengali different in India and Bangladesh?
> I mean script and/or words

The script used is same, but Unicode locales are different. The annual calendars not same. The official (government mandated) spelling rules (in West Bengal, India and in Bangladesh) are different. Also, Bangladesh being a Muslim majority country, there are several differences beginning with forms of address (Shri / Srimaan vs Janaab [for Mr] etc. Currency names are different.

The form of language (idioms / turns of phrase etc) used also differ quite significantly, which has a direct impact on any translation project.

> So, if a split is needed, to which version (IN BD) current files belongs?

Speaking from experience as a BN localizer for projects like GNOME, KDE, Fedora, Ubuntu, OpenOffice.org and Mozilla - I would say at the time locale split, seed both locales with the existing inputs, then let the locale specific localizers modify that at their end. 

to be honest, the ben files are hardly maintained, but that is a situation i intend to rectify by 3.22 release.

hope that helps.
Comment 3 Bernardo Gonzalez Kriegel 2015-05-28 13:43:25 UTC
(In reply to Indranil Das Gupta from comment #2)
> (In reply to Bernardo Gonzalez Kriegel from comment #1)
> > (In reply to Indranil Das Gupta from comment #0)
[SNIP]
> hope that helps.

A lot :)

My plan:
1) rename current ben-* files to bn-IN-*
2) Add IN code description, I need 'India' in Bengali please :)
3) When this pass, rename language and files on translation server

4) bn-BE could be added, but upon request (from a possible maintainer)

Do you agree?
Comment 4 Indranil Das Gupta 2015-05-28 14:46:02 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #3)
> (In reply to Indranil Das Gupta from comment #2)
> > (In reply to Bernardo Gonzalez Kriegel from comment #1)
> > > (In reply to Indranil Das Gupta from comment #0)
<snipped>

> My plan:
> 1) rename current ben-* files to bn-IN-*

+1

> 2) Add IN code description, I need 'India' in Bengali please :)

that would be "ভারত" (you can also pick it up from the article title here - http://bn.wikipedia.org/wiki/%E0%A6%AD%E0%A6%BE%E0%A6%B0%E0%A6%A4)

> 3) When this pass, rename language and files on translation server

Sounds good!

> 4) bn-BE could be added, but upon request (from a possible maintainer)

BD is Bangladesh's 2-letter country code under ISO 3166-2, whereas BE is used to Belgium. But that part of the exercise is best left to the Translation Manager and the locale maintainer :-)

> Do you agree?

Absolutely!

thanks a bunch for this!
Comment 5 Bernardo Gonzalez Kriegel 2015-05-28 15:25:45 UTC Comment hidden (obsolete)
Comment 6 Bernardo Gonzalez Kriegel 2015-05-28 15:28:33 UTC
(In reply to Indranil Das Gupta from comment #4)
> 
> that would be "ভারত" (you can also pick it up from the article title here -
> http://bn.wikipedia.org/wiki/%E0%A6%AD%E0%A6%BE%E0%A6%B0%E0%A6%A4)

Hehe, I know it was there, but can't find it :)

> 
> > 4) bn-BE could be added, but upon request (from a possible maintainer)
> 
> BD is Bangladesh's 2-letter country code under ISO 3166-2, whereas BE is
> used to Belgium. But that part of the exercise is best left to the
> Translation Manager and the locale maintainer :-)
> 
Oops, my mistake.

Ready for sign.
Comment 7 Indranil Das Gupta 2015-05-28 17:59:04 UTC Comment hidden (obsolete)
Comment 8 Indranil Das Gupta 2015-05-29 06:47:17 UTC
Created attachment 39651 [details]
pre patch and post patch display of Bengali
Comment 9 Katrin Fischer 2015-05-31 19:17:54 UTC
This seems to work ok, but my display doesn't match the screenshot. The language is shown diretly, there is no list functionality - should there be one?
Comment 10 Katrin Fischer 2015-05-31 19:20:34 UTC
ok... following the test plan more closely I can see now it works :)
Comment 11 Katrin Fischer 2015-05-31 19:21:00 UTC
Created attachment 39711 [details] [review]
[PASSED QA] Bug 14285: Bengali locale needs to be re-defined

This patch renames translation files for Bengali
language, from ben-* to bn-IN-*.
Also adds India as region

To test:
1) Apply the patch
2) Run updatedatabase
3) Install Bengali language
cd misc/translator
perl translate install bn-IN
enable

Check correct description

4) Create and install a fake Bengali variant
cd misc/translator
perl translate create bn-XX
perl translate install bn-XX
enable both variants

Check correct rendering of region

Results comply with expected test plan outcome. Signed off for bn-IN
Signed-off-by: Indranil Das Gupta (L2C2 Technologies) <indradg@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Tomás Cohen Arazi 2015-06-01 18:48:24 UTC
Patch pushed to master.

Thanks Bernardo!
Comment 13 Bernardo Gonzalez Kriegel 2015-06-01 19:49:08 UTC
Files renamed on translation server for 3.20/18/16